Bug 628938 - [abrt] font-manager-0.5.5.4-1.fc13: __init__.py:362:list_families_in:IndexError: No such collection or category
Summary: [abrt] font-manager-0.5.5.4-1.fc13: __init__.py:362:list_families_in:IndexErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: font-manager
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d2d7eb2c
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-31 13:23 UTC by Santiago Lunar
Modified: 2010-09-24 20:41 UTC (History)
1 user (show)

Fixed In Version: font-manager-0.5.6-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-24 20:41:25 UTC


Attachments (Terms of Use)
File: backtrace (590 bytes, text/plain)
2010-08-31 13:23 UTC, Santiago Lunar
no flags Details

Description Santiago Lunar 2010-08-31 13:23:41 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/font-manager
component: font-manager
executable: /usr/bin/font-manager
kernel: 2.6.33.8-149.fc13.i686.PAE
package: font-manager-0.5.5.4-1.fc13
reason: __init__.py:362:list_families_in:IndexError: No such collection or category
release: Fedora release 13 (Goddard)
time: 1283260825
uid: 500

backtrace
-----
__init__.py:362:list_families_in:IndexError: No such collection or category

Traceback (most recent call last):
  File "/usr/share/font-manager/ui/treeviews.py", line 503, in _on_enable_collection
    selected = len(self.manager.list_families_in(self.current_collection))
  File "/usr/share/font-manager/core/__init__.py", line 362, in list_families_in
    raise IndexError('No such collection or category')
IndexError: No such collection or category

Local variables in innermost frame:
self: <FontManager object at 0xa3bf5f4 (core+FontManager at 0xae301100)>
collection: 'New Collection'

Comment 1 Santiago Lunar 2010-08-31 13:23:44 UTC
Created an attachment (id=442183)
File: backtrace

Comment 2 Fedora Update System 2010-09-15 14:17:35 UTC
font-manager-0.5.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/font-manager-0.5.6-1.fc13

Comment 3 Fedora Update System 2010-09-15 22:33:33 UTC
font-manager-0.5.6-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/font-manager-0.5.6-1.fc13

Comment 4 Fedora Update System 2010-09-24 20:41:20 UTC
font-manager-0.5.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.